ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ome::xml::meta::MetadataException Class Reference

Exception thrown for metadata consistency and validity errors. More...

`#include <ome/xml/meta/MetadataException.h>`

Inheritance diagram for ome::xml::meta::MetadataException:
[legend]
Collaboration diagram for ome::xml::meta::MetadataException:
[legend]

## Public Member Functions
| MetadataException (const std::string &what)
| Constructor. More...
| MetadataException (const std::string &type, const std::string &method, const std::string &msg)
| Constructor. More...
virtual | ~MetadataException () throw ()
| Destructor.

## Detailed Description

Exception thrown for metadata consistency and validity errors.

## Constructor & Destructor Documentation

ome::xml::meta::MetadataException::MetadataException | ( | const std::string & | what | ) |
| explicit

Constructor.

Parameters

  what | the exception message.

ome::xml::meta::MetadataException::MetadataException | ( | const std::string & | type,
|  | const std::string & | method,
|  | const std::string & | msg
| ) |  |
| explicit

Constructor.

Parameters

  type | the MetadataStore or Retrieve type.
  method | the MetadataStore or Retrieve method.
  msg | the exception message.

The documentation for this class was generated from the following files:

- ome/xml/meta/MetadataException.h
- ome/xml/meta/MetadataException.cpp